%bcond_with check

%global goipath            github.com/sjoerdsimons/ostree-go
%global commit             8fae757256f8a19e548572d5b76b10142d0be8cc

%gometa

%global common_description %{expand:
Golang bindings for httt://github.com/ostreedev/ostree.}

%global godevelheader %{expand:
Requires:       pkgconfig(glib-2.0)
Requires:       pkgconfig(gobject-2.0)
Requires:       pkgconfig(ostree-1)
}

Name:           %{goname}
Version:        0
Release:        1%{?dist}
Summary:        Golang bindings for OSTree

License:        Apache-2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/14rcole/gopopulate)

BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(ostree-1)

%description
%{common_description}


%gopkg


%prep
%goprep


%if %{with check}
%build
%gobuild ...
%endif


%install
%gopkginstall


%if %{with check}
%check
%gocheck
%endif


%gopkgfiles


%changelog
* Sun Jul 14 2019 gasinvein <gasinvein@gmail.com>
- 
